Patchwork D1980: narrow: remove old version-checking logic and declare internal

login
register
mail settings
Submitter phabricator
Date Feb. 12, 2018, 11:17 p.m.
Message ID <8038e9a25f977e8c867f88da4adcbca1@localhost.localdomain>
Download mbox | patch
Permalink /patch/27726/
State Not Applicable
Headers show

Comments

phabricator - Feb. 12, 2018, 11:17 p.m.
This revision was automatically updated to reflect the committed changes.
Closed by commit rHG4b843cb6eb8c: narrow: remove old version-checking logic and declare internal (authored by durin42, committed by ).

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST UPDATE
  https://phab.mercurial-scm.org/D1980?vs=5101&id=5547

REVISION DETAIL
  https://phab.mercurial-scm.org/D1980

AFFECTED FILES
  hgext/narrow/__init__.py

CHANGE DETAILS




To: durin42, #hg-reviewers, indygreg
Cc: mercurial-devel

Patch

diff --git a/hgext/narrow/__init__.py b/hgext/narrow/__init__.py
--- a/hgext/narrow/__init__.py
+++ b/hgext/narrow/__init__.py
@@ -8,16 +8,11 @@ 
 
 from __future__ import absolute_import
 
-from mercurial import __version__
-if __version__.version < '3.7':
-    raise ImportError(
-        'narrowhg requires mercurial 3.7 or newer')
-
-try:
-    from .__versionnum__ import version
-    __version__ = version
-except ImportError:
-    pass
+# Note for extension authors: ONLY specify testedwith = 'ships-with-hg-core' for
+# extensions which SHIP WITH MERCURIAL. Non-mainline extensions should
+# be specifying the version(s) of Mercurial they are tested with, or
+# leave the attribute unspecified.
+testedwith = 'ships-with-hg-core'
 
 from mercurial import (
     extensions,